"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DIProviderMemo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DIProvider_js_1 = require("./DIProvider.js");
const DIProviderMemo = (props) => {
    const { 
    //
    dependencies, self, selfSingletons, ...rest } = props;
    const memoizedDependencies = (0, react_1.useMemo)(() => dependencies, []);
    const memoizedSelfDependencies = (0, react_1.useMemo)(() => self, [...(self ?? [])]);
    const memoizedSelfSingletons = (0, react_1.useMemo)(() => selfSingletons, [...(selfSingletons ?? [])]);
    return ((0, jsx_runtime_1.jsx)(DIProvider_js_1.DIProvider, { dependencies: memoizedDependencies, self: memoizedSelfDependencies, selfSingletons: memoizedSelfSingletons, ...rest }));
};
const memoizedComponent = (0, react_1.memo)(DIProviderMemo);
exports.DIProviderMemo = memoizedComponent;
//# sourceMappingURL=DIProviderMemo.js.map