"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalLogger = void 0;
class InternalLogger {
    debugName;
    constructor(debugName) {
        this.debugName = debugName;
    }
    log(...messages) {
        if (this.debugName) {
            console.log.apply(null, [`Provider ${this.debugName}`, ...messages]);
        }
    }
}
exports.InternalLogger = InternalLogger;
//# sourceMappingURL=InternalLogger.js.map